#pragma once

#include "CombFilter.h"

class CStCombFilter
{
public:
	CStCombFilter(void);
	~CStCombFilter(void);

	CCombFilter m_FilterLeft;
	CCombFilter m_FilterRight;

	inline void init(int nDelayLength)
	{
		m_FilterLeft.init(nDelayLength);
		m_FilterRight.init(nDelayLength);
	}

	inline void resetDelay()
	{
		m_FilterLeft.resetDelay();
		m_FilterRight.resetDelay();
	}

	inline void setSampleRate(int nFs)
	{
		m_FilterLeft.setSampleRate(nFs);
		m_FilterRight.setSampleRate(nFs);
	}

	inline void setDelay_mSec(float fmSec)
	{
		m_FilterLeft.setDelay_mSec(fmSec);
		m_FilterRight.setDelay_mSec(fmSec);
	}

	inline void setComb_g_with_RTSixty(float fRT)
	{
		m_FilterLeft.setComb_g_with_RTSixty(fRT);
		m_FilterRight.setComb_g_with_RTSixty(fRT);
	}

	inline void processAudio(int nChannel, float* pInput, float* pOutput)
	{
		if(nChannel == 0)
			m_FilterLeft.processAudio(pInput, pOutput);
		else
			m_FilterRight.processAudio(pInput, pOutput);
	}
};

