#pragma once

#include "DelayAPF.h"

class CStDelayAPF
{
public:
	CStDelayAPF(void);
	~CStDelayAPF(void);

	CDelayAPF m_FilterLeft;
	CDelayAPF m_FilterRight;

	inline void init(int nDelayLength)
	{
		m_FilterLeft.init(nDelayLength);
		m_FilterRight.init(nDelayLength);
	}

	inline void resetDelay()
	{
		m_FilterLeft.resetDelay();
		m_FilterRight.resetDelay();
	}

	inline void setSampleRate(int nFs)
	{
		m_FilterLeft.setSampleRate(nFs);
		m_FilterRight.setSampleRate(nFs);
	}

	inline void setDelay_mSec(float fmSec)
	{
		m_FilterLeft.setDelay_mSec(fmSec);
		m_FilterRight.setDelay_mSec(fmSec);
	}

	inline void setAPF_g(float fAPFg)
	{
		m_FilterLeft.setAPF_g(fAPFg);
		m_FilterRight.setAPF_g(fAPFg);
	}


	inline void processAudio(int nChannel, float* pInput, float* pOutput)
	{
		if(nChannel == 0)
			m_FilterLeft.processAudio(pInput, pOutput);
		else
			m_FilterRight.processAudio(pInput, pOutput);
	}

	
};

