#pragma once
#include "LPFCombFilter.h"

class CStLPFCombFilter
{
public:
	CStLPFCombFilter(void);
	~CStLPFCombFilter(void);

	
	CLPFCombFilter m_FilterLeft;
	CLPFCombFilter m_FilterRight;

	inline void init(int nDelayLength)
	{
		m_FilterLeft.init(nDelayLength);
		m_FilterRight.init(nDelayLength);
	}

	inline void resetDelay()
	{
		m_FilterLeft.resetDelay();
		m_FilterRight.resetDelay();
	}

	inline void setSampleRate(int nFs)
	{
		m_FilterLeft.setSampleRate(nFs);
		m_FilterRight.setSampleRate(nFs);
	}

	inline void setDelay_mSec(float fmSec)
	{
		m_FilterLeft.setDelay_mSec(fmSec);
		m_FilterRight.setDelay_mSec(fmSec);
	}

	inline void setComb_g_with_RTSixty(float fRT)
	{
		m_FilterLeft.setComb_g_with_RTSixty(fRT);
		m_FilterRight.setComb_g_with_RTSixty(fRT);
	}

	inline void setLPF_g(float fOverAllGain)
	{
		m_FilterLeft.setLPF_g(fOverAllGain);
		m_FilterRight.setLPF_g(fOverAllGain);
	}

	inline bool processAudio(int nChannel, float* pInput, float* pOutput)
	{
		if(nChannel == 0)
			m_FilterLeft.processAudio(pInput, pOutput);
		else
			m_FilterRight.processAudio(pInput, pOutput);

		return true;
	}
	
};

